## $Id: viewlets.py 8107 2012-04-11 11:11:19Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##

import grok
from waeup.kofa.students.viewlets import (
    FileDisplay, FileUpload, Image)
from waeup.kofa.students.browser import ExportPDFClearanceSlipPage

from waeup.uniben.interfaces import MessageFactory as _

# LGA Identification

class LGAIdentificationDisplay(FileDisplay):
    """LGA Identification display viewlet.
    """
    grok.order(1)
    label = _(u'LGA Identification')
    title = _(u'LGA Identification Scan')
    download_name = u'lga_identification'

class LGAIdentificationSlip(LGAIdentificationDisplay):
    grok.view(ExportPDFClearanceSlipPage)

class LGAIdentificationUpload(FileUpload):
    """LGA Identification upload viewlet.
    """
    grok.order(2)
    label = _(u'LGA Identification')
    title = _(u'LGA Identification Scan')
    mus = 1024 * 150
    download_name = u'lga_identification'
    tab_redirect = '?tab2'

class LGAIdentificationImage(Image):
    """Renders LGA Identification scan.
    """
    grok.name('lga_identification')
    download_name = u'lga_identification'